diff --git c/scala/collection/GenIterableViewLike$EmptyView.class w/scala/collection/GenIterableViewLike$EmptyView.class
index 8703fd7375..1cfa438b2a 100644
--- c/scala/collection/GenIterableViewLike$EmptyView.class
+++ w/scala/collection/GenIterableViewLike$EmptyView.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewL
 public abstract #= # of #; //EmptyView=class scala/collection/GenTraversableViewLike$EmptyView of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$EmptyView extends scala.collection.GenIterableViewLike$Transformed,scala.collection.GenTraversableViewLike$EmptyView,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$EmptyView extends scala.collection.GenIterableViewLike$Transformed,scala.collection.GenTraversableViewLike$EmptyView{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$Filtered.class w/scala/collection/GenIterableViewLike$Filtered.class
index cead4c3047..7d7be899f9 100644
--- c/scala/collection/GenIterableViewLike$Filtered.class
+++ w/scala/collection/GenIterableViewLike$Filtered.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Filtered=class scala/collection/GenTraversableViewL
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$Filtered extends scala.collection.GenTraversableViewLike$Filtered,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$Filtered extends scala.collection.GenTraversableViewLike$Filtered,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$FlatMapped.class w/scala/collection/GenIterableViewLike$FlatMapped.class
index 7263dddcf7..ea7bf2fdc3 100644
--- c/scala/collection/GenIterableViewLike$FlatMapped.class
+++ w/scala/collection/GenIterableViewLike$FlatMapped.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewL
 public abstract #= # of #; //FlatMapped=class scala/collection/GenTraversableViewLike$FlatMapped of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$FlatMapped extends scala.collection.GenTraversableViewLike$FlatMapped,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$FlatMapped extends scala.collection.GenTraversableViewLike$FlatMapped,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$Forced.class w/scala/collection/GenIterableViewLike$Forced.class
index 4c80e91e49..d22c135d82 100644
--- c/scala/collection/GenIterableViewLike$Forced.class
+++ w/scala/collection/GenIterableViewLike$Forced.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Forced=class scala/collection/GenTraversableViewLik
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$Forced extends scala.collection.GenTraversableViewLike$Forced,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$Forced extends scala.collection.GenTraversableViewLike$Forced,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$Mapped.class w/scala/collection/GenIterableViewLike$Mapped.class
index f77b65c61c..de86d72ee3 100644
--- c/scala/collection/GenIterableViewLike$Mapped.class
+++ w/scala/collection/GenIterableViewLike$Mapped.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Mapped=class scala/collection/GenTraversableViewLik
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$Mapped extends scala.collection.GenTraversableViewLike$Mapped,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$Mapped extends scala.collection.GenTraversableViewLike$Mapped,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$Sliced.class w/scala/collection/GenIterableViewLike$Sliced.class
index 86c1d18449..eb8b7620e3 100644
--- c/scala/collection/GenIterableViewLike$Sliced.class
+++ w/scala/collection/GenIterableViewLike$Sliced.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Sliced=class scala/collection/GenTraversableViewLik
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$Sliced extends scala.collection.GenTraversableViewLike$Sliced,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$Sliced extends scala.collection.GenTraversableViewLike$Sliced,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$TakenWhile.class w/scala/collection/GenIterableViewLike$TakenWhile.class
index 109ef8b433..bd9adfb109 100644
--- c/scala/collection/GenIterableViewLike$TakenWhile.class
+++ w/scala/collection/GenIterableViewLike$TakenWhile.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewL
 public abstract #= # of #; //TakenWhile=class scala/collection/GenTraversableViewLike$TakenWhile of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$TakenWhile extends scala.collection.GenTraversableViewLike$TakenWhile,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$TakenWhile extends scala.collection.GenTraversableViewLike$TakenWhile,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$Transformed.class w/scala/collection/GenIterableViewLike$Transformed.class
index 6dc34279bc..8603219ab6 100644
--- c/scala/collection/GenIterableViewLike$Transformed.class
+++ w/scala/collection/GenIterableViewLike$Transformed.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewL
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$Transformed extends scala.collection.GenIterableView,scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$Transformed extends scala.collection.GenIterableView,scala.collection.GenTraversableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$Zipped.class w/scala/collection/GenIterableViewLike$Zipped.class
index 5868c03819..7a1ece9e04 100644
--- c/scala/collection/GenIterableViewLike$Zipped.class
+++ w/scala/collection/GenIterableViewLike$Zipped.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Zipped=class scala/collection/GenIterableViewLike$Z
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$Zipped extends scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$Zipped extends scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.GenIterable other();
   Signature: ()Lscala/collection/GenIterable;
 
diff --git c/scala/collection/GenIterableViewLike$ZippedAll.class w/scala/collection/GenIterableViewLike$ZippedAll.class
index 65efa2ae14..0c9ef8dc99 100644
--- c/scala/collection/GenIterableViewLike$ZippedAll.class
+++ w/scala/collection/GenIterableViewLike$ZippedAll.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //ZippedAll=class scala/collection/GenIterableViewLik
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$ZippedAll extends scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$ZippedAll extends scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.GenIterable other();
   Signature: ()Lscala/collection/GenIterable;
 
diff --git c/scala/collection/GenIterableViewLike.class w/scala/collection/GenIterableViewLike.class
index 2bd7da95f4..a2e2410856 100644
--- c/scala/collection/GenIterableViewLike.class
+++ w/scala/collection/GenIterableViewLike.class
@@ -25,6 +25,6 @@ public abstract #= # of #; //Transformed$class=class scala/collection/GenIterabl
 public abstract #= # of #; //DroppedWhile$class=class scala/collection/GenIterableViewLike$DroppedWhile$class of class scala/collection/GenIterableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike extends scala.collection.GenIterable,scala.collection.GenIterableLike,scala.collection.GenTraversableView,scala.collection.GenTraversableViewLike,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike extends scala.collection.GenIterable,scala.collection.GenTraversableView{
 }
 
diff --git c/scala/collection/GenMapLike.class w/scala/collection/GenMapLike.class
index 2a92d97acb..9392648eb5 100644
--- c/scala/collection/GenMapLike.class
+++ w/scala/collection/GenMapLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "GenMapLike.scala"
-public interface scala.collection.GenMapLike extends scala.collection.GenIterableLike,scala.Equals,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.GenMapLike extends scala.collection.GenIterableLike,scala.Equals{
 public abstract java.lang.Object default(java.lang.Object);
   Signature: (Ljava/lang/Object;)Ljava/lang/Object;
 
diff --git c/scala/collection/GenSeq.class w/scala/collection/GenSeq.class
index 751a09fecc..06dbed7ef6 100644
--- c/scala/collection/GenSeq.class
+++ w/scala/collection/GenSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenSeq.scala"
-public interface scala.collection.GenSeq extends scala.collection.GenSeqLike,scala.collection.GenIterable,scala.Equals,scala.collection.generic.GenericTraversableTemplate,scala.ScalaObject{
+public interface scala.collection.GenSeq extends scala.collection.GenSeqLike,scala.collection.GenIterable{
 public abstract scala.collection.Seq seq();
   Signature: ()Lscala/collection/Seq;
 
diff --git c/scala/collection/GenSeqLike.class w/scala/collection/GenSeqLike.class
index 87c0711af4..bb29cd6c9e 100644
--- c/scala/collection/GenSeqLike.class
+++ w/scala/collection/GenSeqLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "GenSeqLike.scala"
-public interface scala.collection.GenSeqLike extends scala.collection.GenIterableLike,scala.Equals,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.GenSeqLike extends scala.collection.GenIterableLike,scala.Equals{
 public abstract scala.collection.Seq seq();
   Signature: ()Lscala/collection/Seq;
 
diff --git c/scala/collection/GenSeqViewLike$Appended.class w/scala/collection/GenSeqViewLike$Appended.class
index b730a4504c..b7c48838e9 100644
--- c/scala/collection/GenSeqViewLike$Appended.class
+++ w/scala/collection/GenSeqViewLike$Appended.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$T
 public abstract #= # of #; //Appended=class scala/collection/GenIterableViewLike$Appended of class scala/collection/GenIterableViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Appended extends scala.collection.GenIterableViewLike$Appended,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Appended extends scala.collection.GenIterableViewLike$Appended,scala.collection.GenSeqViewLike$Transformed{
 public abstract scala.collection.GenSeq restSeq();
   Signature: ()Lscala/collection/GenSeq;
 
diff --git c/scala/collection/GenSeqViewLike$DroppedWhile.class w/scala/collection/GenSeqViewLike$DroppedWhile.class
index a9f5a2c764..d61648ef03 100644
--- c/scala/collection/GenSeqViewLike$DroppedWhile.class
+++ w/scala/collection/GenSeqViewLike$DroppedWhile.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //DroppedWhile=class scala/collection/GenSeqViewLike$
 public abstract #= # of #; //DroppedWhile=class scala/collection/GenIterableViewLike$DroppedWhile of class scala/collection/GenIterableViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$DroppedWhile extends scala.collection.GenIterableViewLike$DroppedWhile,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$DroppedWhile extends scala.collection.GenIterableViewLike$DroppedWhile,scala.collection.GenSeqViewLike$Transformed{
 public abstract int start();
   Signature: ()I
 
diff --git c/scala/collection/GenSeqViewLike$EmptyView.class w/scala/collection/GenSeqViewLike$EmptyView.class
index 839e5dbfb9..bdbd5410a1 100644
--- c/scala/collection/GenSeqViewLike$EmptyView.class
+++ w/scala/collection/GenSeqViewLike$EmptyView.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$T
 public abstract #= # of #; //EmptyView=class scala/collection/GenIterableViewLike$EmptyView of class scala/collection/GenIterableViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$EmptyView extends scala.collection.GenSeqViewLike$Transformed,scala.collection.GenIterableViewLike$EmptyView,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$EmptyView extends scala.collection.GenSeqViewLike$Transformed,scala.collection.GenIterableViewLike$EmptyView{
 public abstract int length();
   Signature: ()I
 
diff --git c/scala/collection/GenSeqViewLike$Filtered.class w/scala/collection/GenSeqViewLike$Filtered.class
index 583c7d8e24..0169c4ea7d 100644
--- c/scala/collection/GenSeqViewLike$Filtered.class
+++ w/scala/collection/GenSeqViewLike$Filtered.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$T
 public abstract #= # of #; //Filtered=class scala/collection/GenIterableViewLike$Filtered of class scala/collection/GenIterableViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Filtered extends scala.collection.GenIterableViewLike$Filtered,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Filtered extends scala.collection.GenIterableViewLike$Filtered,scala.collection.GenSeqViewLike$Transformed{
 public abstract int[] index();
   Signature: ()[I
 
diff --git c/scala/collection/GenSeqViewLike$FlatMapped.class w/scala/collection/GenSeqViewLike$FlatMapped.class
index 4d661430d1..31370deae5 100644
--- c/scala/collection/GenSeqViewLike$FlatMapped.class
+++ w/scala/collection/GenSeqViewLike$FlatMapped.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$T
 public abstract #= # of #; //FlatMapped=class scala/collection/GenIterableViewLike$FlatMapped of class scala/collection/GenIterableViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$FlatMapped extends scala.collection.GenIterableViewLike$FlatMapped,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$FlatMapped extends scala.collection.GenIterableViewLike$FlatMapped,scala.collection.GenSeqViewLike$Transformed{
 public abstract int[] index();
   Signature: ()[I
 
diff --git c/scala/collection/GenSeqViewLike$Forced.class w/scala/collection/GenSeqViewLike$Forced.class
index ea89b8121d..686cab683f 100644
--- c/scala/collection/GenSeqViewLike$Forced.class
+++ w/scala/collection/GenSeqViewLike$Forced.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Forced=class scala/collection/GenIterableViewLike$F
 public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$Transformed of class scala/collection/GenSeqViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Forced extends scala.collection.GenIterableViewLike$Forced,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Forced extends scala.collection.GenIterableViewLike$Forced,scala.collection.GenSeqViewLike$Transformed{
 public abstract int length();
   Signature: ()I
 
diff --git c/scala/collection/GenSeqViewLike$Mapped.class w/scala/collection/GenSeqViewLike$Mapped.class
index e1726e7615..be064aa7c7 100644
--- c/scala/collection/GenSeqViewLike$Mapped.class
+++ w/scala/collection/GenSeqViewLike$Mapped.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Mapped=class scala/collection/GenIterableViewLike$M
 public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$Transformed of class scala/collection/GenSeqViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Mapped extends scala.collection.GenIterableViewLike$Mapped,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Mapped extends scala.collection.GenIterableViewLike$Mapped,scala.collection.GenSeqViewLike$Transformed{
 public abstract int length();
   Signature: ()I
 
diff --git c/scala/collection/GenSeqViewLike$Patched.class w/scala/collection/GenSeqViewLike$Patched.class
index efbe17aca7..0fdef9e88d 100644
--- c/scala/collection/GenSeqViewLike$Patched.class
+++ w/scala/collection/GenSeqViewLike$Patched.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Patched=class scala/collection/GenSeqViewLike$Patch
 public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$Transformed of class scala/collection/GenSeqViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Patched extends scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Patched extends scala.collection.GenSeqViewLike$Transformed{
 public abstract int from();
   Signature: ()I
 
diff --git c/scala/collection/GenSeqViewLike$Prepended.class w/scala/collection/GenSeqViewLike$Prepended.class
index 7bb2fe10b4..a72894a5db 100644
--- c/scala/collection/GenSeqViewLike$Prepended.class
+++ w/scala/collection/GenSeqViewLike$Prepended.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Prepended=class scala/collection/GenSeqViewLike$Pre
 public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$Transformed of class scala/collection/GenSeqViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Prepended extends scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Prepended extends scala.collection.GenSeqViewLike$Transformed{
 public abstract java.lang.Object fst();
   Signature: ()Ljava/lang/Object;
 
diff --git c/scala/collection/GenSeqViewLike$Reversed.class w/scala/collection/GenSeqViewLike$Reversed.class
index 3295548a49..0cd97235ab 100644
--- c/scala/collection/GenSeqViewLike$Reversed.class
+++ w/scala/collection/GenSeqViewLike$Reversed.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Reversed=class scala/collection/GenSeqViewLike$Reve
 public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$Transformed of class scala/collection/GenSeqViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Reversed extends scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Reversed extends scala.collection.GenSeqViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenSeqViewLike$Sliced.class w/scala/collection/GenSeqViewLike$Sliced.class
index 7f29352a65..98713c8ae7 100644
--- c/scala/collection/GenSeqViewLike$Sliced.class
+++ w/scala/collection/GenSeqViewLike$Sliced.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Sliced=class scala/collection/GenIterableViewLike$S
 public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$Transformed of class scala/collection/GenSeqViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Sliced extends scala.collection.GenIterableViewLike$Sliced,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Sliced extends scala.collection.GenIterableViewLike$Sliced,scala.collection.GenSeqViewLike$Transformed{
 public abstract int length();
   Signature: ()I
 
diff --git c/scala/collection/GenSeqViewLike$TakenWhile.class w/scala/collection/GenSeqViewLike$TakenWhile.class
index 16456099f4..17557fa4a4 100644
--- c/scala/collection/GenSeqViewLike$TakenWhile.class
+++ w/scala/collection/GenSeqViewLike$TakenWhile.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$T
 public abstract #= # of #; //TakenWhile=class scala/collection/GenIterableViewLike$TakenWhile of class scala/collection/GenIterableViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$TakenWhile extends scala.collection.GenIterableViewLike$TakenWhile,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$TakenWhile extends scala.collection.GenIterableViewLike$TakenWhile,scala.collection.GenSeqViewLike$Transformed{
 public abstract int len();
   Signature: ()I
 
diff --git c/scala/collection/GenSeqViewLike$Transformed.class w/scala/collection/GenSeqViewLike$Transformed.class
index f51faf1724..090431c39c 100644
--- c/scala/collection/GenSeqViewLike$Transformed.class
+++ w/scala/collection/GenSeqViewLike$Transformed.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$T
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Transformed extends scala.collection.GenSeqView,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Transformed extends scala.collection.GenSeqView,scala.collection.GenIterableViewLike$Transformed{
 public abstract int length();
   Signature: ()I
 
diff --git c/scala/collection/GenSeqViewLike$Zipped.class w/scala/collection/GenSeqViewLike$Zipped.class
index aa57ab0ac5..56511136f9 100644
--- c/scala/collection/GenSeqViewLike$Zipped.class
+++ w/scala/collection/GenSeqViewLike$Zipped.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Zipped=class scala/collection/GenIterableViewLike$Z
 public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$Transformed of class scala/collection/GenSeqViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$Zipped extends scala.collection.GenIterableViewLike$Zipped,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$Zipped extends scala.collection.GenIterableViewLike$Zipped,scala.collection.GenSeqViewLike$Transformed{
 public abstract scala.collection.Seq thatSeq();
   Signature: ()Lscala/collection/Seq;
 
diff --git c/scala/collection/GenSeqViewLike$ZippedAll.class w/scala/collection/GenSeqViewLike$ZippedAll.class
index 4f35f53101..fe523a6782 100644
--- c/scala/collection/GenSeqViewLike$ZippedAll.class
+++ w/scala/collection/GenSeqViewLike$ZippedAll.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenSeqViewLike$T
 public abstract #= # of #; //ZippedAll=class scala/collection/GenIterableViewLike$ZippedAll of class scala/collection/GenIterableViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike$ZippedAll extends scala.collection.GenIterableViewLike$ZippedAll,scala.collection.GenSeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike$ZippedAll extends scala.collection.GenIterableViewLike$ZippedAll,scala.collection.GenSeqViewLike$Transformed{
 public abstract scala.collection.Seq thatSeq();
   Signature: ()Lscala/collection/Seq;
 
diff --git c/scala/collection/GenSeqViewLike.class w/scala/collection/GenSeqViewLike.class
index 0caec7c618..c3d29f8d0e 100644
--- c/scala/collection/GenSeqViewLike.class
+++ w/scala/collection/GenSeqViewLike.class
@@ -31,6 +31,6 @@ public abstract #= # of #; //Transformed$class=class scala/collection/GenSeqView
 public abstract #= # of #; //DroppedWhile$class=class scala/collection/GenSeqViewLike$DroppedWhile$class of class scala/collection/GenSeqViewLike
 
 Compiled from "GenSeqViewLike.scala"
-public interface scala.collection.GenSeqViewLike extends scala.collection.GenSeq,scala.collection.GenSeqLike,scala.collection.GenIterableView,scala.collection.GenIterableViewLike,scala.ScalaObject{
+public interface scala.collection.GenSeqViewLike extends scala.collection.GenSeq,scala.collection.GenIterableView{
 }
 
diff --git c/scala/collection/GenSet.class w/scala/collection/GenSet.class
index ce2af36434..84874119e1 100644
--- c/scala/collection/GenSet.class
+++ w/scala/collection/GenSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenSet.scala"
-public interface scala.collection.GenSet extends scala.collection.GenSetLike,scala.collection.GenIterable,scala.collection.generic.GenericSetTemplate,scala.ScalaObject{
+public interface scala.collection.GenSet extends scala.collection.GenSetLike,scala.collection.GenIterable,scala.collection.generic.GenericSetTemplate{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/GenSetLike.class w/scala/collection/GenSetLike.class
index 066dafcbce..0f1601b7fc 100644
--- c/scala/collection/GenSetLike.class
+++ w/scala/collection/GenSetLike.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenSetLike.scala"
-public interface scala.collection.GenSetLike extends scala.collection.GenIterableLike,scala.Function1,scala.Equals,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.GenSetLike extends scala.collection.GenIterableLike,scala.Function1,scala.Equals{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenTraversable.class w/scala/collection/GenTraversable.class
index e9a9791f1b..a790ff0dda 100644
--- c/scala/collection/GenTraversable.class
+++ w/scala/collection/GenTraversable.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenTraversable.scala"
-public interface scala.collection.GenTraversable extends scala.collection.GenTraversableLike,scala.collection.GenTraversableOnce,scala.collection.generic.GenericTraversableTemplate,scala.ScalaObject{
+public interface scala.collection.GenTraversable extends scala.collection.GenTraversableLike,scala.collection.generic.GenericTraversableTemplate{
 public abstract scala.collection.Traversable seq();
   Signature: ()Lscala/collection/Traversable;
 
diff --git c/scala/collection/GenTraversableLike.class w/scala/collection/GenTraversableLike.class
index 2083cabaa2..934cb41545 100644
--- c/scala/collection/GenTraversableLike.class
+++ w/scala/collection/GenTraversableLike.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenTraversableLike.scala"
-public interface scala.collection.GenTraversableLike extends scala.collection.GenTraversableOnce,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.GenTraversableLike extends scala.collection.GenTraversableOnce,scala.collection.Parallelizable{
 public abstract java.lang.Object repr();
   Signature: ()Ljava/lang/Object;
 
diff --git c/scala/collection/GenTraversableViewLike$Appended.class w/scala/collection/GenTraversableViewLike$Appended.class
index 3a1b25401e..d49dc6af09 100644
--- c/scala/collection/GenTraversableViewLike$Appended.class
+++ w/scala/collection/GenTraversableViewLike$Appended.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Appended=class scala/collection/GenTraversableViewL
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$Appended extends scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$Appended extends scala.collection.GenTraversableViewLike$Transformed{
 public abstract scala.collection.GenTraversable rest();
   Signature: ()Lscala/collection/GenTraversable;
 
diff --git c/scala/collection/GenTraversableViewLike$DroppedWhile.class w/scala/collection/GenTraversableViewLike$DroppedWhile.class
index 1eb4bf934f..fb03c7bc7c 100644
--- c/scala/collection/GenTraversableViewLike$DroppedWhile.class
+++ w/scala/collection/GenTraversableViewLike$DroppedWhile.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Transformed=class scala/collection/GenTraversableVi
 public abstract #= # of #; //DroppedWhile=class scala/collection/GenTraversableViewLike$DroppedWhile of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$DroppedWhile extends scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$DroppedWhile extends scala.collection.GenTraversableViewLike$Transformed{
 public abstract scala.Function1 pred();
   Signature: ()Lscala/Function1;
 
